<?php

namespace optsoapsdk\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LeadResponse StructType
 * Meta information extracted from the WSDL
 * - nillable: true
 * - type: tns:LeadResponse
 * @subpackage Structs
 */
class LeadResponse extends AbstractStructBase
{
    /**
     * The Successfull
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $Successfull;
    /**
     * The Cmp_Code
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Cmp_Code;
    /**
     * The LeadCode
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $LeadCode;
    /**
     * The Message
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * - nillable: true
     * @var string
     */
    public $Message;
    /**
     * The PDFGenerated
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var bool
     */
    public $PDFGenerated;
    /**
     * Constructor method for LeadResponse
     * @uses LeadResponse::setSuccessfull()
     * @uses LeadResponse::setCmp_Code()
     * @uses LeadResponse::setLeadCode()
     * @uses LeadResponse::setMessage()
     * @uses LeadResponse::setPDFGenerated()
     * @param bool $successfull
     * @param string $cmp_Code
     * @param string $leadCode
     * @param string $message
     * @param bool $pDFGenerated
     */
    public function __construct($successfull = null, $cmp_Code = null, $leadCode = null, $message = null, $pDFGenerated = null)
    {
        $this
            ->setSuccessfull($successfull)
            ->setCmp_Code($cmp_Code)
            ->setLeadCode($leadCode)
            ->setMessage($message)
            ->setPDFGenerated($pDFGenerated);
    }
    /**
     * Get Successfull value
     * @return bool|null
     */
    public function getSuccessfull()
    {
        return $this->Successfull;
    }
    /**
     * Set Successfull value
     * @param bool $successfull
     * @return \optsoapsdk\StructType\LeadResponse
     */
    public function setSuccessfull($successfull = null)
    {
        // validation for constraint: boolean
        if (!is_null($successfull) && !is_bool($successfull)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($successfull, true), gettype($successfull)), __LINE__);
        }
        $this->Successfull = $successfull;
        return $this;
    }
    /**
     * Get Cmp_Code value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getCmp_Code()
    {
        return isset($this->Cmp_Code) ? $this->Cmp_Code : null;
    }
    /**
     * Set Cmp_Code value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $cmp_Code
     * @return \optsoapsdk\StructType\LeadResponse
     */
    public function setCmp_Code($cmp_Code = null)
    {
        // validation for constraint: string
        if (!is_null($cmp_Code) && !is_string($cmp_Code)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($cmp_Code, true), gettype($cmp_Code)), __LINE__);
        }
        if (is_null($cmp_Code) || (is_array($cmp_Code) && empty($cmp_Code))) {
            unset($this->Cmp_Code);
        } else {
            $this->Cmp_Code = $cmp_Code;
        }
        return $this;
    }
    /**
     * Get LeadCode value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getLeadCode()
    {
        return isset($this->LeadCode) ? $this->LeadCode : null;
    }
    /**
     * Set LeadCode value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $leadCode
     * @return \optsoapsdk\StructType\LeadResponse
     */
    public function setLeadCode($leadCode = null)
    {
        // validation for constraint: string
        if (!is_null($leadCode) && !is_string($leadCode)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($leadCode, true), gettype($leadCode)), __LINE__);
        }
        if (is_null($leadCode) || (is_array($leadCode) && empty($leadCode))) {
            unset($this->LeadCode);
        } else {
            $this->LeadCode = $leadCode;
        }
        return $this;
    }
    /**
     * Get Message value
     * An additional test has been added (isset) before returning the property value as
     * this property may have been unset before, due to the fact that this property is
     * removable from the request (nillable=true+minOccurs=0)
     * @return string|null
     */
    public function getMessage()
    {
        return isset($this->Message) ? $this->Message : null;
    }
    /**
     * Set Message value
     * This property is removable from request (nillable=true+minOccurs=0), therefore
     * if the value assigned to this property is null, it is removed from this object
     * @param string $message
     * @return \optsoapsdk\StructType\LeadResponse
     */
    public function setMessage($message = null)
    {
        // validation for constraint: string
        if (!is_null($message) && !is_string($message)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a string, %s given', var_export($message, true), gettype($message)), __LINE__);
        }
        if (is_null($message) || (is_array($message) && empty($message))) {
            unset($this->Message);
        } else {
            $this->Message = $message;
        }
        return $this;
    }
    /**
     * Get PDFGenerated value
     * @return bool|null
     */
    public function getPDFGenerated()
    {
        return $this->PDFGenerated;
    }
    /**
     * Set PDFGenerated value
     * @param bool $pDFGenerated
     * @return \optsoapsdk\StructType\LeadResponse
     */
    public function setPDFGenerated($pDFGenerated = null)
    {
        // validation for constraint: boolean
        if (!is_null($pDFGenerated) && !is_bool($pDFGenerated)) {
            throw new \InvalidArgumentException(sprintf('Invalid value %s, please provide a bool, %s given', var_export($pDFGenerated, true), gettype($pDFGenerated)), __LINE__);
        }
        $this->PDFGenerated = $pDFGenerated;
        return $this;
    }
}
